import * as Promise from 'bluebird';
import { AccountPlanResource, AccountSubscriptionResource, AddressResource, BannerResource, CartResource, CartItemResource, ClinicResource, EventResource, LicenseResource, NetworkFileResource, OrderResource, OrderAddressResource, OrderItemResource, PatientResource, PatientAddressResource, PatientAllergyResource, PlanResource, PrescriptionResource, PrescriptionCartResource, PrescriptionCartItemResource, PricingRuleResource, ProductResource, ProductAttributeResource, ProductBrandResource, ProductBrandMediaResource, ProductBundleResource, ProductBundleItemResource, ProductCategoryResource, ProductClickResource, ProductMediaResource, ProductShippingSettingResource, ProductSubcategoryResource, ProfileResource, ProfileEmailResource, ProfileLicenseResource, ProfileVendorContactResource, PromoCodeResource, ResaleCertificateResource, ReviewResource, RoleResource, SalesAccountResource, SalesAccountAddressResource, SalesAccountContactResource, ShippingResource, SkuResource, SkuProductAttributeDescriptionResource, StateTaxableProductCategoryExemptionRuleResource, SubscriptionResource, TaxableProductCategoryResource, TaxExemptionRuleResource, TrainingResource, TrainingCategoryResource, TrainingCompletionResource, TrainingLocationResource, TrainingLectureResource, TrainingMaterialResource, TrainingModuleResource, TrainingQuizResource, TrainingQuestionResource, TrainingAnswerResource, VendorResource, VendorAddressResource, VendorContactResource, VendorShippingSettingResource, VendorOrderRuleResource, TrainingRatingsResource, TrainingDiscountsResource, TrainingStatisticsResource, EnvironmentSettingsResource, ProductDiscountResource, ProductDiscountThresholdResource, CombinedDiscountResource, CombinedDiscountItemResource } from './resources';
export { AccountPlan, AccountSubscription, Address, Banner, Cart, CartItem, Clinic, Event, License, NetworkFile, Order, OrderAddress, OrderItem, Patient, PatientAddress, PatientAllergy, Plan, Prescription, PrescriptionCart, PrescriptionCartItem, PricingRule, Product, ProductAttribute, ProductBrand, ProductBrandMedia, ProductBundle, ProductBundleItem, ProductCategory, ProductClick, ProductMedia, ProductShippingSetting, ProductSubcategory, Profile, ProfileEmail, ProfileLicense, ProfileVendorContact, PromoCode, ResaleCertificate, Review, Role, SalesAccount, SalesAccountAddress, SalesAccountContact, Sku, SkuProductAttributeDescription, StateTaxableProductCategoryExemptionRule, Subscription, TaxableProductCategory, TaxExemptionRule, Training, TrainingCategory, TrainingCompletion, TrainingLocation, TrainingLecture, TrainingMaterial, TrainingQuestion, TrainingAnswer, Vendor, VendorAddress, VendorContact, VendorOrderRule, VendorShippingSetting, RateRecord, EnvironmentSettings, ProductDiscount, ProductDiscountThreshold, CombinedDiscount, CombinedDiscountItem } from './resources';
export interface ClientConfiguration {
    clientId: string;
    clientSecret?: string;
    redirectUri?: string;
    baseApiUrl?: string;
    baseAuthUrl?: string;
    request?: object;
}
export declare class Client {
    baseApiUrl: string;
    accessToken?: string;
    refreshToken?: string;
    tokenExpiresAt?: Date;
    accountPlan: AccountPlanResource;
    accountSubscription: AccountSubscriptionResource;
    address: AddressResource;
    banner: BannerResource;
    cart: CartResource;
    cartItem: CartItemResource;
    clinic: ClinicResource;
    event: EventResource;
    license: LicenseResource;
    networkFile: NetworkFileResource;
    order: OrderResource;
    orderAddress: OrderAddressResource;
    orderItem: OrderItemResource;
    patient: PatientResource;
    patientAddress: PatientAddressResource;
    patientAllergy: PatientAllergyResource;
    plan: PlanResource;
    prescription: PrescriptionResource;
    prescriptionCart: PrescriptionCartResource;
    prescriptionCartItem: PrescriptionCartItemResource;
    pricingRule: PricingRuleResource;
    product: ProductResource;
    productAttribute: ProductAttributeResource;
    productBrand: ProductBrandResource;
    productBrandMedia: ProductBrandMediaResource;
    productBundle: ProductBundleResource;
    productBundleItem: ProductBundleItemResource;
    productCategory: ProductCategoryResource;
    productClick: ProductClickResource;
    productMedia: ProductMediaResource;
    productShippingSetting: ProductShippingSettingResource;
    productSubcategory: ProductSubcategoryResource;
    profile: ProfileResource;
    profileEmail: ProfileEmailResource;
    profileLicense: ProfileLicenseResource;
    profileVendorContact: ProfileVendorContactResource;
    promoCode: PromoCodeResource;
    resaleCertificate: ResaleCertificateResource;
    review: ReviewResource;
    role: RoleResource;
    salesAccount: SalesAccountResource;
    salesAccountAddress: SalesAccountAddressResource;
    salesAccountContact: SalesAccountContactResource;
    shipping: ShippingResource;
    sku: SkuResource;
    skuProductAttributeDescription: SkuProductAttributeDescriptionResource;
    stateTaxableProductCategoryExemptionRule: StateTaxableProductCategoryExemptionRuleResource;
    subscription: SubscriptionResource;
    taxableProductCategory: TaxableProductCategoryResource;
    taxExemptionRule: TaxExemptionRuleResource;
    training: TrainingResource;
    trainingCategory: TrainingCategoryResource;
    trainingCompletion: TrainingCompletionResource;
    trainingLocation: TrainingLocationResource;
    trainingLecture: TrainingLectureResource;
    trainingMaterial: TrainingMaterialResource;
    trainingModule: TrainingModuleResource;
    trainingQuiz: TrainingQuizResource;
    trainingQuestion: TrainingQuestionResource;
    trainingAnswer: TrainingAnswerResource;
    trainingStatistics: TrainingStatisticsResource;
    vendor: VendorResource;
    vendorAddress: VendorAddressResource;
    vendorContact: VendorContactResource;
    vendorOrderRule: VendorOrderRuleResource;
    vendorShippingSetting: VendorShippingSettingResource;
    trainingRatings: TrainingRatingsResource;
    trainingDiscounts: TrainingDiscountsResource;
    environmentSettings: EnvironmentSettingsResource;
    productDiscount: ProductDiscountResource;
    productDiscountThreshold: ProductDiscountThresholdResource;
    combinedDiscount: CombinedDiscountResource;
    combinedDiscountItem: CombinedDiscountItemResource;
    private authorizationCode?;
    private baseAuthUrl;
    private clientId;
    private clientSecret?;
    private redirectUri?;
    private requestManager;
    static create(clientConfig: ClientConfiguration): Client;
    constructor(config: ClientConfiguration);
    getAuthorizeUri(responseType?: string): string;
    getLogoutUri(): string;
    refreshTokens(): Promise<void>;
    setAccessToken(accessToken: string): void;
    setAuthorizationCode(authorizationCode: string): void;
    private exchangeAuthCode();
    private exchangeClientCredentials();
    private getTokens(data);
    private handleTokenRefresh();
}
