import { AxiosRequestConfig } from 'axios';
import { Client, ClientConfiguration } from './Client';
export interface RequestOptions {
    method: 'GET' | 'PUT' | 'POST' | 'DELETE';
    data?: object;
    params?: object;
    url: string;
}
export interface MakeRequestOptions {
    refreshTokens?: boolean;
}
export declare const defaultAxiosConfig: AxiosRequestConfig;
export declare class RequestManager {
    private axios;
    private client;
    constructor(client: Client, config: ClientConfiguration);
    makeRequest(requestOptions: RequestOptions, options?: MakeRequestOptions): any;
    buildAxiosOptions(options: RequestOptions): {
        data: object | undefined;
        method: "GET" | "PUT" | "POST" | "DELETE";
        params: object;
        url: string;
    };
    private buildUrl(url, params?);
}
