import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
export interface AccountPlan {
    id: string;
    createdAt: Date;
    updatedAt: Date;
    name: string;
    roleName: string;
    price: number;
    interval: 'month' | 'year' | 'once';
    intervalCount: number;
}
export interface AccountPlanListAttributes extends YLIFTListAttributes {
    name?: string;
}
export interface AccountPlanCreateAttributes extends YLIFTCreateAttributes {
    name: string;
    roleName: string;
    price: number;
    interval?: 'month' | 'year' | 'once';
    intervalCount?: number;
}
export interface AccountPlanUpdateAttributes extends YLIFTUpdateAttributes {
    name?: string;
    roleName?: string;
    price?: number;
    interval?: 'month' | 'year' | 'once';
    intervalCount?: number;
}
export declare class AccountPlanResource extends Resource<AccountPlan, AccountPlanListAttributes, AccountPlanCreateAttributes, AccountPlanUpdateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: AccountPlanListAttributes): Promise<{
        count: number;
        rows: AccountPlan[];
    }>;
    create(createArgs: AccountPlanCreateAttributes): Promise<AccountPlan>;
    get(id: string | number): Promise<AccountPlan>;
    update(id: string | number, updateArgs: AccountPlanUpdateAttributes): Promise<AccountPlan>;
    del(id: string | number): Promise<void>;
    destroy(id: string | number): Promise<void>;
}
