import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
import { CartItem } from "./CartItem";
export interface Cart {
    id: number;
    createdAt: Date;
    updatedAt: Date;
    profileId: number;
    cartItems?: CartItem[];
}
export interface CartOrderDataAttributes {
    id: number;
    zip?: string;
}
export interface CartGetProfileAttributes {
    profileId?: number;
}
export interface CartItemCreateAttributes extends YLIFTUpdateAttributes {
    quantity: number;
    skuId: number;
}
export interface CartItemUpdateAttributes extends YLIFTUpdateAttributes {
    id: number;
    quantity: number;
}
export declare class CartResource extends Resource<Cart, YLIFTListAttributes, YLIFTCreateAttributes, YLIFTUpdateAttributes> {
    constructor(requestManager: RequestManager);
    get(id: number): Promise<Cart>;
    getByProfileId(params: CartGetProfileAttributes): Promise<Cart>;
    getShippingSettings(): any;
    getOrderData(params: CartOrderDataAttributes): Promise<Cart>;
    clear(): any;
    createCartItem(createAttributes: CartItemCreateAttributes): Promise<Cart>;
    deleteCartItem(id: number): Promise<Cart>;
    updateCartItem(updateAttributes: CartItemUpdateAttributes): Promise<Cart>;
}
