import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
import { CombinedDiscountItem } from './CombinedDiscountItem';
export interface CombinedDiscount {
    id: number;
    name: string;
    isActive: boolean;
    expiresAt: Date;
    createdAt: Date;
    updatedAt: Date;
    combinedDiscountItems?: CombinedDiscountItem[];
}
export interface CombinedDiscountListAttributes extends YLIFTListAttributes {
    limit?: number;
    offset?: number;
}
export interface CombinedDiscountCreateAttributes extends YLIFTCreateAttributes {
    name: string;
    isActive: boolean;
    expiresAt: Date;
}
export interface CombinedDiscountUpdateAttributes extends YLIFTUpdateAttributes {
    name?: string;
    isActive?: boolean;
    expiresAt?: Date;
}
export declare class CombinedDiscountResource extends Resource<CombinedDiscount, CombinedDiscountListAttributes, CombinedDiscountCreateAttributes, CombinedDiscountUpdateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: CombinedDiscountListAttributes): Promise<{
        count: number;
        rows: CombinedDiscount[];
    }>;
    create(createArgs: CombinedDiscountCreateAttributes): Promise<CombinedDiscount>;
    get(id: string | number): Promise<CombinedDiscount>;
    update(id: string | number, updateArgs: CombinedDiscountUpdateAttributes): Promise<CombinedDiscount>;
    del(id: string | number): Promise<void>;
    destroy(id: string | number): Promise<void>;
}
