import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
export interface EnvironmentSettings {
    id: string;
    recruitersCommissionFee: number;
    systemCommissionFee: number;
}
export interface EnvironmentSettingsCreateAttributes extends YLIFTCreateAttributes {
    recruitersCommissionFee?: number;
    systemCommissionFee?: number;
}
export declare class EnvironmentSettingsResource extends Resource<EnvironmentSettings, any, EnvironmentSettingsCreateAttributes, any> {
    constructor(requestManager: RequestManager);
    create(createArgs: EnvironmentSettingsCreateAttributes): Promise<EnvironmentSettings>;
    update(updateArgs: EnvironmentSettingsCreateAttributes): Promise<EnvironmentSettings>;
    get(): Promise<EnvironmentSettings>;
}
