import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
import { Profile } from "./Profile";
export interface Event {
    id: string;
    profileId: number;
    profile?: Profile;
    entityId: string | null;
    entityType: string;
    action: string;
    context: string | null;
    occurredAt: Date;
    createdAt: Date;
    updatedAt: Date;
}
export interface EventListAttributes extends YLIFTListAttributes {
    profileId?: number;
    entityId?: string | null;
    entityType?: string;
    action?: string;
    context?: string | null;
    before?: Date;
    after?: Date;
}
export interface EventCreateAttributes extends YLIFTCreateAttributes {
    entityId?: string;
    entityType: string;
    action: string;
    context?: string;
    occurredAt?: Date;
}
export declare class EventResource extends Resource<Event, EventListAttributes, EventCreateAttributes, YLIFTUpdateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: EventListAttributes): Promise<{
        count: number;
        rows: Event[];
    }>;
    track(createArgs: EventCreateAttributes): Promise<Event>;
}
