"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var lodash_1 = require("lodash");
var Resource_1 = require("../utils/Resource");
var OrderResource = (function (_super) {
    __extends(OrderResource, _super);
    function OrderResource(requestManager) {
        return _super.call(this, '/orders', requestManager) || this;
    }
    OrderResource.prototype.search = function (searchArgs) {
        return this.makeRequest({
            method: 'GET',
            params: searchArgs,
            url: this.basePath + "/search"
        });
    };
    OrderResource.prototype.list = function (listArgs) {
        return this._list(listArgs);
    };
    OrderResource.prototype.create = function (createArgs) {
        return this._create(createArgs);
    };
    OrderResource.prototype.applyForLease = function (createArgs) {
        return this.makeRequest({
            method: 'POST',
            data: createArgs,
            url: this.basePath + "/lease"
        });
    };
    OrderResource.prototype.get = function (getArgs) {
        return this._list(getArgs)
            .then(function (_a) {
            var orders = _a.rows, count = _a.count;
            return lodash_1.head(orders);
        });
    };
    OrderResource.prototype.update = function (id, updateArgs) {
        return this._update(id, updateArgs);
    };
    OrderResource.prototype.del = function (id) {
        return this.destroy(id);
    };
    OrderResource.prototype.destroy = function (id) {
        return this._destroy(id);
    };
    return OrderResource;
}(Resource_1.Resource));
exports.OrderResource = OrderResource;
//# sourceMappingURL=Order.js.map