import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
export interface OrderAddress {
    id: number;
    createdAt: Date;
    updatedAt: Date;
    name: string;
    line1: string;
    line2?: string | null;
    city: string;
    state: string;
    zip: string;
    geoHash: string | null;
    allerganId?: string;
    shippoObjectId?: string;
}
export interface OrderAddressListAttributes extends YLIFTListAttributes {
    name?: string;
    profileId?: number;
}
export interface OrderAddressCreateAttributes extends YLIFTCreateAttributes {
    name: string;
    line1: string;
    line2?: string | null;
    city?: string;
    state: string;
    zip: string;
    geoHash?: string;
    allerganId?: string;
    shippoObjectId?: string;
}
export interface OrderAddressUpdateAttributes extends YLIFTUpdateAttributes {
    name?: string;
    line1?: string;
    line2?: string | null;
    city?: string;
    state?: string;
    zip: string;
    geoHash?: string;
    allerganId?: string;
    shippoObjectId?: string;
}
export declare class OrderAddressResource extends Resource<OrderAddress, OrderAddressListAttributes, OrderAddressCreateAttributes, OrderAddressUpdateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: OrderAddressListAttributes): Promise<{
        count: number;
        rows: OrderAddress[];
    }>;
    get(id: string | number): Promise<OrderAddress>;
}
