import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
import { Patient } from "./Patient";
export interface PatientAllergy {
    id: number;
    createdAt: Date;
    updatedAt: Date;
    allergy: string;
    patientId: number;
    patient?: Patient;
}
export interface PatientAllergyListAttributes extends YLIFTListAttributes {
    allergy?: string;
    patientId?: number;
}
export interface PatientAllergyCreateAttributes extends YLIFTCreateAttributes {
    allergy: string;
    patientId: number;
}
export interface PatientAllergyUpdateAttributes extends YLIFTUpdateAttributes {
    allergy?: string;
    patientId?: number;
}
export declare class PatientAllergyResource extends Resource<PatientAllergy, PatientAllergyListAttributes, PatientAllergyCreateAttributes, PatientAllergyUpdateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: PatientAllergyListAttributes): Promise<{
        count: number;
        rows: PatientAllergy[];
    }>;
    create(createArgs: PatientAllergyCreateAttributes): Promise<PatientAllergy>;
    get(id: string | number): Promise<PatientAllergy>;
    update(id: string | number, updateArgs: PatientAllergyUpdateAttributes): Promise<PatientAllergy>;
    del(id: string | number): Promise<void>;
    destroy(id: string | number): Promise<void>;
}
