import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
export interface Plan {
    id: number;
    createdAt: Date;
    updatedAt: Date;
    name: string;
    price: number;
    interval: string;
    intervalCount: number;
}
export interface PlanListAttributes extends YLIFTListAttributes {
}
export interface PlanCreateAttributes extends YLIFTCreateAttributes {
    name: string;
    price?: number;
    interval?: string;
    intervalCount?: number;
}
export interface PlanUpdateAttributes extends YLIFTUpdateAttributes {
    name?: string;
    price?: number;
    interval?: string;
    intervalCount?: number;
}
export declare class PlanResource extends Resource<Plan, PlanListAttributes, PlanCreateAttributes, PlanUpdateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: PlanListAttributes): Promise<{
        count: number;
        rows: Plan[];
    }>;
    create(createArgs: PlanCreateAttributes): Promise<Plan>;
    update(id: string | number, updateArgs: PlanUpdateAttributes): Promise<Plan>;
    del(id: string | number): Promise<void>;
    destroy(id: string | number): Promise<void>;
}
