"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var _ = require("lodash");
var Resource_1 = require("../utils/Resource");
var PrescriptionCartResource = (function (_super) {
    __extends(PrescriptionCartResource, _super);
    function PrescriptionCartResource(requestManager) {
        return _super.call(this, '/prescription-carts', requestManager) || this;
    }
    PrescriptionCartResource.prototype.get = function (id) {
        return this._get(id);
    };
    PrescriptionCartResource.prototype.getByProfileId = function (params) {
        return this.makeRequest({
            method: 'GET',
            params: params,
            url: this.basePath + "/profile"
        });
    };
    PrescriptionCartResource.prototype.getOrderData = function (params) {
        return this.makeRequest({
            method: 'GET',
            params: params,
            url: this.basePath + "/{id}/order-info"
        });
    };
    PrescriptionCartResource.prototype.getShippingSettings = function () {
        return this.makeRequest({
            method: 'GET',
            url: this.basePath + "/shipping-settings"
        });
    };
    PrescriptionCartResource.prototype.update = function (updateArgs) {
        return this.makeRequest({
            method: 'PUT',
            url: "" + this.basePath,
            data: updateArgs
        });
    };
    PrescriptionCartResource.prototype.createCartItem = function (createAttributes) {
        return this.makeRequest({
            method: 'POST',
            url: this.basePath + "/items",
            data: createAttributes
        });
    };
    PrescriptionCartResource.prototype.deleteCartItem = function (id) {
        return this.makeRequest({
            method: 'DELETE',
            params: { id: id },
            url: this.basePath + "/items/{id}"
        });
    };
    PrescriptionCartResource.prototype.updateCartItem = function (updateAttributes) {
        return this.makeRequest({
            method: 'PUT',
            params: _.pick(updateAttributes, ['id']),
            url: this.basePath + "/items/{id}",
            data: _.pick(updateAttributes, ['quantity', 'directions'])
        });
    };
    return PrescriptionCartResource;
}(Resource_1.Resource));
exports.PrescriptionCartResource = PrescriptionCartResource;
//# sourceMappingURL=PrescriptionCart.js.map