import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
import { Sku } from "./Sku";
export interface PrescriptionCartItem {
    id: number;
    createdAt: Date;
    updatedAt: Date;
    prescriptionCartId: number;
    skuId: number;
    sku?: Sku;
    quantity: number;
}
export interface PrescriptionCartItemListAttributes extends YLIFTListAttributes {
    prescriptionCartId?: number;
}
export interface PrescriptionCartItemCreateAttributes extends YLIFTCreateAttributes {
    prescriptionCartId: number;
    skuId: number;
    quantity: number;
}
export interface PrescriptionCartItemUpdateAttributes extends YLIFTUpdateAttributes {
    quantity: number;
}
export declare class PrescriptionCartItemResource extends Resource<PrescriptionCartItem, PrescriptionCartItemListAttributes, PrescriptionCartItemCreateAttributes, PrescriptionCartItemUpdateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: PrescriptionCartItemListAttributes): Promise<{
        count: number;
        rows: PrescriptionCartItem[];
    }>;
    create(createArgs: PrescriptionCartItemCreateAttributes): Promise<PrescriptionCartItem>;
    get(id: string | number): Promise<PrescriptionCartItem>;
    update(id: string | number, updateArgs: PrescriptionCartItemUpdateAttributes): Promise<PrescriptionCartItem>;
    del(id: string | number): Promise<void>;
    destroy(id: string | number): Promise<void>;
}
