"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var Resource_1 = require("../utils/Resource");
var ProductResource = (function (_super) {
    __extends(ProductResource, _super);
    function ProductResource(requestManager) {
        return _super.call(this, '/products', requestManager) || this;
    }
    ProductResource.prototype.list = function (listArgs) {
        return this._list(listArgs);
    };
    ProductResource.prototype.search = function (searchArgs) {
        return this.makeRequest({
            method: 'GET',
            params: searchArgs,
            url: this.basePath + "/search"
        });
    };
    ProductResource.prototype.suggest = function (query) {
        return this.makeRequest({
            method: 'GET',
            params: { query: query },
            url: this.basePath + "/search/suggest"
        });
    };
    ProductResource.prototype.similar = function (similarArgs) {
        return this.makeRequest({
            method: 'GET',
            params: similarArgs,
            url: this.basePath + "/search/similar"
        });
    };
    ProductResource.prototype.create = function (createArgs) {
        return this._create(createArgs);
    };
    ProductResource.prototype.get = function (id) {
        return this._get(id);
    };
    ProductResource.prototype.update = function (id, updateArgs) {
        return this._update(id, updateArgs);
    };
    ProductResource.prototype.getRoleAttributes = function (productId) {
        return this.makeRequest({
            method: 'GET',
            params: { productId: productId },
            url: this.basePath + "/role-attributes"
        });
    };
    ProductResource.prototype.updateRoleAttribute = function (updateArgs) {
        return this.makeRequest({
            method: 'PUT',
            data: updateArgs,
            url: this.basePath + "/role-attributes"
        });
    };
    ProductResource.prototype.del = function (id) {
        return this.destroy(id);
    };
    ProductResource.prototype.destroy = function (id) {
        return this._destroy(id);
    };
    return ProductResource;
}(Resource_1.Resource));
exports.ProductResource = ProductResource;
//# sourceMappingURL=Product.js.map