"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var _ = require("lodash");
var Resource_1 = require("../utils/Resource");
var ProductAttributeResource = (function (_super) {
    __extends(ProductAttributeResource, _super);
    function ProductAttributeResource(requestManager) {
        return _super.call(this, '/products/{productId}/attributes', requestManager) || this;
    }
    ProductAttributeResource.prototype.list = function (listArgs) {
        return this._list(listArgs);
    };
    ProductAttributeResource.prototype.create = function (createArgs) {
        return this.makeRequest({
            method: 'POST',
            params: _.pick(createArgs, ['productId']),
            data: _.omit(createArgs, ['productId']),
            url: "" + this.basePath
        });
    };
    ProductAttributeResource.prototype.get = function (getArgs) {
        return this.makeRequest({
            method: 'GET',
            params: getArgs,
            url: this.basePath + "/{id}"
        });
    };
    ProductAttributeResource.prototype.update = function (id, updateArgs) {
        return this.makeRequest({
            method: 'PUT',
            params: _.pick(updateArgs, ['id', 'productId']),
            data: _.omit(updateArgs, ['id', 'productId']),
            url: "" + this.basePath
        });
    };
    ProductAttributeResource.prototype.del = function (deleteArgs) {
        return this.makeRequest({
            method: 'DELETE',
            params: deleteArgs,
            url: this.basePath + "/{id}"
        });
    };
    ProductAttributeResource.prototype.destroy = function (deleteArgs) {
        return this.makeRequest({
            method: 'DELETE',
            params: deleteArgs,
            url: this.basePath + "/{id}"
        });
    };
    return ProductAttributeResource;
}(Resource_1.Resource));
exports.ProductAttributeResource = ProductAttributeResource;
//# sourceMappingURL=ProductAttribute.js.map