import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
import { ProductBrand } from "./ProductBrand";
export interface ProductBrandMedia {
    id: number;
    createdAt: Date;
    updatedAt: Date;
    productBrandId: number;
    productBrand?: ProductBrand;
    url: string;
    mimeType?: string;
}
export interface ProductBrandMediaListAttributes extends YLIFTListAttributes {
    productBrandId?: number;
    mimeType?: string;
}
export interface ProductBrandMediaCreateAttributes extends YLIFTCreateAttributes {
    productBrandId: number;
    url: string;
    mimeType?: string;
}
export interface ProductBrandMediaUpdateAttributes extends YLIFTUpdateAttributes {
    productBrandId?: number;
    url?: string;
    mimeType?: string;
}
export declare class ProductBrandMediaResource extends Resource<ProductBrandMedia, ProductBrandMediaListAttributes, ProductBrandMediaCreateAttributes, ProductBrandMediaUpdateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: ProductBrandMediaListAttributes): Promise<{
        count: number;
        rows: ProductBrandMedia[];
    }>;
    create(createArgs: ProductBrandMediaCreateAttributes): Promise<ProductBrandMedia>;
    get(id: string | number): Promise<ProductBrandMedia>;
    update(id: string | number, updateArgs: ProductBrandMediaUpdateAttributes): Promise<ProductBrandMedia>;
    del(id: string | number): Promise<void>;
    destroy(id: string | number): Promise<void>;
}
