import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
export interface ProductCategory {
    id: number;
    createdAt: Date;
    updatedAt: Date;
    name: string;
    isActive: boolean;
    isFeatured: boolean;
    clicks: number;
    position?: number;
    isArchived: boolean;
}
export interface ProductCategoryListAttributes extends YLIFTListAttributes {
    name?: string;
    isActive?: boolean;
    isFeatured?: boolean;
    isArchived?: boolean;
}
export interface ProductCategoryCreateAttributes extends YLIFTCreateAttributes {
    name: string;
    isActive: boolean;
    isFeatured: boolean;
    clicks: number;
    position?: number;
    isArchived: boolean;
}
export interface ProductCategoryUpdateAttributes extends YLIFTUpdateAttributes {
    name?: string;
    isActive?: boolean;
    isFeatured?: boolean;
    clicks?: number;
    position?: number;
    isArchived?: boolean;
}
export declare class ProductCategoryResource extends Resource<ProductCategory, ProductCategoryListAttributes, ProductCategoryCreateAttributes, ProductCategoryUpdateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: ProductCategoryListAttributes): Promise<{
        count: number;
        rows: ProductCategory[];
    }>;
    create(createArgs: ProductCategoryCreateAttributes): Promise<ProductCategory>;
    get(id: string | number): Promise<ProductCategory>;
    update(id: string | number, updateArgs: ProductCategoryUpdateAttributes): Promise<ProductCategory>;
    decrementPosition(id: string | number): any;
    incrementPosition(id: string | number): any;
    del(id: string | number): Promise<void>;
    destroy(id: string | number): Promise<void>;
}
