import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
import { Product } from "./Product";
import { Profile } from "./Profile";
export interface ProductClick {
    id: number;
    createdAt: Date;
    updatedAt: Date;
    productId: number;
    product?: Product;
    profileId: number | null;
    profile?: Profile;
    anonymousId: string | null;
}
export interface ProductClickListAttributes extends YLIFTListAttributes {
    productId?: number;
    profileId?: number;
    anonymousId?: string;
}
export interface ProductClickCreateAttributes extends YLIFTCreateAttributes {
    productId: number;
    profileId?: number;
    anonymousId?: string;
}
export interface ProductClickUpdateAttributes extends YLIFTUpdateAttributes {
    productId?: number;
    profileId?: number;
    anonymousId?: string;
}
export declare class ProductClickResource extends Resource<ProductClick, ProductClickListAttributes, ProductClickCreateAttributes, ProductClickUpdateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: ProductClickListAttributes): Promise<{
        count: number;
        rows: ProductClick[];
    }>;
    create(createArgs: ProductClickCreateAttributes): Promise<ProductClick>;
    get(id: string | number): Promise<ProductClick>;
    update(id: string | number, updateArgs: ProductClickUpdateAttributes): Promise<ProductClick>;
    del(id: string | number): Promise<void>;
    destroy(id: string | number): Promise<void>;
}
