import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
export interface ProductDiscountThreshold {
    productDiscountId: number;
    amount: number;
    threshold: number;
    createdAt: Date;
    updatedAt: Date;
}
export interface ProductDiscountThresholdListAttributes extends YLIFTListAttributes {
    limit?: number;
    offset?: number;
}
export interface ProductDiscountThresholdCreateAttributes extends YLIFTCreateAttributes {
    productDiscountId: number;
    amount: number;
    threshold: number;
}
export interface ProductDiscountThresholdUpdateAttributes extends YLIFTUpdateAttributes {
    amount: number;
    threshold: number;
}
export declare class ProductDiscountThresholdResource extends Resource<ProductDiscountThreshold, ProductDiscountThresholdListAttributes, ProductDiscountThresholdCreateAttributes, ProductDiscountThresholdUpdateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: ProductDiscountThresholdListAttributes): Promise<{
        count: number;
        rows: ProductDiscountThreshold[];
    }>;
    create(createArgs: ProductDiscountThresholdCreateAttributes): Promise<ProductDiscountThreshold>;
    get(id: string | number): Promise<ProductDiscountThreshold>;
    update(id: string | number, updateArgs: ProductDiscountThresholdUpdateAttributes): Promise<ProductDiscountThreshold>;
    del(id: string | number): Promise<void>;
    destroy(id: string | number): Promise<void>;
}
