"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var Resource_1 = require("../utils/Resource");
var ProfileResource = (function (_super) {
    __extends(ProfileResource, _super);
    function ProfileResource(requestManager) {
        return _super.call(this, '/profiles', requestManager) || this;
    }
    ProfileResource.prototype.list = function (listArgs) {
        return this._list(listArgs);
    };
    ProfileResource.prototype.create = function (createArgs) {
        return this._create(createArgs);
    };
    ProfileResource.prototype.me = function () {
        return this.makeRequest({
            method: 'GET',
            url: this.basePath + "/me"
        });
    };
    ProfileResource.prototype.role = function () {
        return this.makeRequest({
            method: 'GET',
            url: this.basePath + "/role"
        });
    };
    ProfileResource.prototype.get = function (id) {
        return this._get(id);
    };
    ProfileResource.prototype.update = function (id, updateArgs) {
        return this._update(id, updateArgs);
    };
    ProfileResource.prototype.updateEmail = function (updateEmailArgs) {
        return this.makeRequest({
            method: 'PUT',
            url: this.basePath + "/email",
            data: updateEmailArgs
        });
    };
    ProfileResource.prototype.del = function (id) {
        return this.destroy(id);
    };
    ProfileResource.prototype.destroy = function (id) {
        return this._destroy(id);
    };
    ProfileResource.prototype.listCards = function (listArgs) {
        return this.makeRequest({
            method: 'GET',
            params: listArgs,
            url: this.basePath + "/cards"
        });
    };
    ProfileResource.prototype.createCard = function (createArgs) {
        return this.makeRequest({
            method: 'POST',
            data: createArgs,
            url: this.basePath + "/cards"
        });
    };
    ProfileResource.prototype.deleteCard = function (cardId) {
        return this.makeRequest({
            method: 'DELETE',
            params: { cardId: cardId },
            url: this.basePath + "/cards/{cardId}"
        });
    };
    ProfileResource.prototype.recruitUser = function (email) {
        return this.makeRequest({
            method: 'POST',
            data: { email: email },
            url: this.basePath + "/recruit"
        });
    };
    ProfileResource.prototype.pendingInvites = function (profileId) {
        return this.makeRequest({
            method: 'GET',
            params: { profileId: profileId },
            url: this.basePath + "/invited"
        });
    };
    return ProfileResource;
}(Resource_1.Resource));
exports.ProfileResource = ProfileResource;
//# sourceMappingURL=Profile.js.map