import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
import { Profile } from "./Profile";
export interface ProfileEmail {
    profileId: number;
    profile?: Profile;
    createdAt: Date;
    updatedAt: Date;
    name: string | null;
    email: string;
    sendBuyingReminders: boolean;
    sendReceipts: boolean;
}
export interface ProfileEmailListAttributes extends YLIFTListAttributes {
    profileId?: number;
    name?: string | null;
    email?: string;
    sendBuyingReminders?: boolean;
    sendReceipts?: boolean;
}
export interface ProfileEmailCreateAttributes extends YLIFTCreateAttributes {
    profileId: number;
    name?: string | null;
    email: string;
    sendBuyingReminders?: boolean;
    sendReceipts?: boolean;
}
export interface ProfileEmailUpdateAttributes extends YLIFTUpdateAttributes {
    profileId: number;
    name?: string | null;
    email?: string;
    sendBuyingReminders?: boolean;
    sendReceipts?: boolean;
}
export declare class ProfileEmailResource extends Resource<ProfileEmail, ProfileEmailListAttributes, ProfileEmailCreateAttributes, ProfileEmailUpdateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: ProfileEmailListAttributes): Promise<{
        count: number;
        rows: ProfileEmail[];
    }>;
    create(createArgs: ProfileEmailCreateAttributes): Promise<ProfileEmail>;
    get(id: string | number): Promise<ProfileEmail>;
    update(id: string | number, updateArgs: ProfileEmailUpdateAttributes): Promise<ProfileEmail>;
    del(id: string | number): Promise<void>;
    destroy(id: string | number): Promise<void>;
}
