import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
import { Profile } from "./Profile";
import { VendorContact } from "./VendorContact";
export interface ProfileVendorContact {
    id: number;
    profileId: number;
    profile?: Profile;
    vendorContactId: number;
    vendorContact?: VendorContact;
    createdAt: Date;
    updatedAt: Date;
}
export interface ProfileVendorContactListAttributes extends YLIFTListAttributes {
    profileId?: number;
    vendorContactId?: number;
}
export interface ProfileVendorContactCreateAttributes extends YLIFTCreateAttributes {
    profileId: number;
    vendorContactId: number;
}
export declare class ProfileVendorContactResource extends Resource<ProfileVendorContact, ProfileVendorContactListAttributes, ProfileVendorContactCreateAttributes, YLIFTUpdateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: ProfileVendorContactListAttributes): Promise<{
        count: number;
        rows: ProfileVendorContact[];
    }>;
    create(createArgs: ProfileVendorContactCreateAttributes): Promise<ProfileVendorContact>;
    get(id: string | number): Promise<ProfileVendorContact>;
    del(id: string | number): Promise<void>;
    destroy(id: string | number): Promise<void>;
}
