import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
import { Profile } from "./Profile";
import { Product } from "./Product";
export interface Review {
    id: number;
    createdAt: Date;
    updatedAt: Date;
    profileId: number;
    profile?: Profile;
    productId: number;
    product?: Product;
    text: string;
    stars: number;
}
export interface ReviewListAttributes extends YLIFTListAttributes {
    profileId: number;
    productId: number;
}
export interface ReviewCreateAttributes extends YLIFTCreateAttributes {
    profileId: number;
    productId: number;
    text: string;
    stars: number;
}
export interface ReviewUpdateAttributes extends YLIFTUpdateAttributes {
    profileId?: number;
    productId?: number;
    text?: string;
    stars?: number;
}
export declare class ReviewResource extends Resource<Review, ReviewListAttributes, ReviewCreateAttributes, ReviewUpdateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: ReviewListAttributes): Promise<{
        count: number;
        rows: Review[];
    }>;
    create(createArgs: ReviewCreateAttributes): Promise<Review>;
    get(id: string | number): Promise<Review>;
    update(id: string | number, updateArgs: ReviewUpdateAttributes): Promise<Review>;
    del(id: string | number): Promise<void>;
    destroy(id: string | number): Promise<void>;
}
