import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
export interface Role {
    name: string;
    registerKey: string;
    createdAt: Date;
    updatedAt: Date;
}
export interface RoleListAttributes extends YLIFTListAttributes {
}
export interface RoleCreateAttributes extends YLIFTCreateAttributes {
    name: string;
    registerKey: string;
}
export interface RoleUpdateAttributes extends YLIFTUpdateAttributes {
    name?: string;
    registerKey?: string;
}
export declare class RoleResource extends Resource<Role, RoleListAttributes, RoleCreateAttributes, RoleUpdateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: RoleListAttributes): Promise<{
        count: number;
        rows: Role[];
    }>;
    create(createArgs: RoleCreateAttributes): Promise<Role>;
    update(id: string | number, updateArgs: RoleUpdateAttributes): Promise<Role>;
    del(id: string | number): Promise<void>;
    destroy(id: string | number): Promise<void>;
}
