import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
export interface SalesAccountContact {
    id: number;
    createdAt: Date;
    updatedAt: Date;
    name: string | null;
    email: string;
    phone: string | null;
    timezone: string;
    salesAccountId: string;
}
export interface SalesAccountContactListAttributes extends YLIFTListAttributes {
    email?: string;
    name?: string;
    role?: string;
    customerId?: number;
}
export interface SalesAccountContactCreateAttributes extends YLIFTCreateAttributes {
    name?: string | null;
    email: string;
    phone?: string | null;
    timezone?: string;
    salesAccountId: string;
}
export interface SalesAccountContactUpdateAttributes extends YLIFTUpdateAttributes {
    name?: string | null;
    email?: string;
    phone?: string | null;
    timezone?: string;
    salesAccountId?: string;
}
export declare class SalesAccountContactResource extends Resource<SalesAccountContact, SalesAccountContactListAttributes, SalesAccountContactCreateAttributes, SalesAccountContactUpdateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: SalesAccountContactListAttributes): Promise<{
        count: number;
        rows: SalesAccountContact[];
    }>;
    create(createArgs: SalesAccountContactCreateAttributes): Promise<SalesAccountContact>;
    get(id: string | number): Promise<SalesAccountContact>;
    update(id: string | number, updateArgs: SalesAccountContactUpdateAttributes): Promise<SalesAccountContact>;
    del(id: string | number): Promise<void>;
    destroy(id: string | number): Promise<void>;
}
