"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var Resource_1 = require("../utils/Resource");
var SkuResource = (function (_super) {
    __extends(SkuResource, _super);
    function SkuResource(requestManager) {
        return _super.call(this, '/products/skus', requestManager) || this;
    }
    SkuResource.prototype.list = function (listArgs) {
        return this._list(listArgs);
    };
    SkuResource.prototype.create = function (createArgs) {
        return this._create(createArgs);
    };
    SkuResource.prototype.get = function (id) {
        return this._get(id);
    };
    SkuResource.prototype.getPricingRules = function (skuId) {
        return this.makeRequest({
            method: 'GET',
            params: { skuId: skuId },
            url: this.basePath + "/{skuId}/pricing-rules"
        });
    };
    SkuResource.prototype.getRoleAttributes = function (skuId) {
        return this.makeRequest({
            method: 'GET',
            params: { skuId: skuId },
            url: this.basePath + "/role-attributes"
        });
    };
    SkuResource.prototype.update = function (id, updateArgs) {
        return this._update(id, updateArgs);
    };
    SkuResource.prototype.updateRoleAttribute = function (updateArgs) {
        return this.makeRequest({
            method: 'PUT',
            data: updateArgs,
            url: this.basePath + "/role-attributes"
        });
    };
    SkuResource.prototype.del = function (id) {
        return this.destroy(id);
    };
    SkuResource.prototype.destroy = function (id) {
        return this._destroy(id);
    };
    return SkuResource;
}(Resource_1.Resource));
exports.SkuResource = SkuResource;
//# sourceMappingURL=Sku.js.map