import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
import { Sku } from "./Sku";
import { ProductAttribute } from "./ProductAttribute";
export interface SkuProductAttributeDescription {
    id: number;
    createdAt: Date;
    updatedAt: Date;
    skuId: number;
    sku?: Sku;
    description: string;
    productAttributeId: number | null;
    productAttribute?: ProductAttribute;
}
export interface SkuProductAttributeDescriptionListAttributes extends YLIFTListAttributes {
    skuId?: number;
    productId?: number;
    productAttributeId?: number;
}
export interface SkuProductAttributeDescriptionCreateAttributes extends YLIFTCreateAttributes {
    skuId: number;
    description: string;
    productAttributeId?: number | null;
}
export interface SkuProductAttributeDescriptionUpdateAttributes extends YLIFTUpdateAttributes {
    skuId?: number;
    description?: string;
    productAttributeId?: number | null;
}
export declare class SkuProductAttributeDescriptionResource extends Resource<SkuProductAttributeDescription, SkuProductAttributeDescriptionListAttributes, SkuProductAttributeDescriptionCreateAttributes, SkuProductAttributeDescriptionUpdateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: SkuProductAttributeDescriptionListAttributes): Promise<{
        count: number;
        rows: SkuProductAttributeDescription[];
    }>;
    create(createArgs: SkuProductAttributeDescriptionCreateAttributes): Promise<SkuProductAttributeDescription>;
    get(id: string | number): Promise<SkuProductAttributeDescription>;
    update(id: string | number, updateArgs: SkuProductAttributeDescriptionUpdateAttributes): Promise<SkuProductAttributeDescription>;
    del(id: string | number): Promise<void>;
    destroy(id: string | number): Promise<void>;
}
