import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
import { TaxableProductCategory } from "./TaxableProductCategory";
import { TaxExemptionRule } from "./TaxExemptionRule";
export interface StateTaxableProductCategoryExemptionRule {
    id: number;
    createdAt: Date;
    updatedAt: Date;
    state: string;
    taxExemptionRuleId: number;
    taxExemptionRule?: TaxExemptionRule;
    taxableProductCategoryId: number;
    taxableProductCategory?: TaxableProductCategory;
}
export interface StateTaxableProductCategoryExemptionRuleListAttributes extends YLIFTListAttributes {
    state?: string;
    taxExemptionRuleId?: number;
    taxableProductCategoryId?: number;
}
export interface StateTaxableProductCategoryExemptionRuleCreateAttributes extends YLIFTCreateAttributes {
    state: string;
    taxExemptionRuleId: number;
    taxableProductCategoryId: number;
}
export interface StateTaxableProductCategoryExemptionRuleUpdateAttributes extends YLIFTUpdateAttributes {
    state?: string;
    taxExemptionRuleId?: number;
    taxableProductCategoryId?: number;
}
export declare class StateTaxableProductCategoryExemptionRuleResource extends Resource<StateTaxableProductCategoryExemptionRule, StateTaxableProductCategoryExemptionRuleListAttributes, StateTaxableProductCategoryExemptionRuleCreateAttributes, StateTaxableProductCategoryExemptionRuleUpdateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: StateTaxableProductCategoryExemptionRuleListAttributes): Promise<{
        count: number;
        rows: StateTaxableProductCategoryExemptionRule[];
    }>;
    create(createArgs: StateTaxableProductCategoryExemptionRuleCreateAttributes): Promise<StateTaxableProductCategoryExemptionRule>;
    get(id: string | number): Promise<StateTaxableProductCategoryExemptionRule>;
    update(id: string | number, updateArgs: StateTaxableProductCategoryExemptionRuleUpdateAttributes): Promise<StateTaxableProductCategoryExemptionRule>;
    del(id: string | number): Promise<void>;
    destroy(id: string | number): Promise<void>;
}
