import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
export interface TaxExemptionRule {
    id: number;
    createdAt: Date;
    updatedAt: Date;
    taxExemptionStatus: 'EX' | 'T' | 'EXS' | 'TS' | 'RR' | null;
    assignedTaxRate: number | null;
}
export interface TaxExemptionRuleListAttributes extends YLIFTListAttributes {
    taxExemptionStatus?: 'EX' | 'T' | 'EXS' | 'TS' | 'RR' | null;
}
export interface TaxExemptionRuleCreateAttributes extends YLIFTCreateAttributes {
    taxExemptionStatus?: 'EX' | 'T' | 'EXS' | 'TS' | 'RR' | null;
    assignedTaxRate?: number | null;
}
export interface TaxExemptionRuleUpdateAttributes extends YLIFTUpdateAttributes {
    taxExemptionStatus?: 'EX' | 'T' | 'EXS' | 'TS' | 'RR' | null;
    assignedTaxRate?: number | null;
}
export declare class TaxExemptionRuleResource extends Resource<TaxExemptionRule, TaxExemptionRuleListAttributes, TaxExemptionRuleCreateAttributes, TaxExemptionRuleUpdateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: TaxExemptionRuleListAttributes): Promise<{
        count: number;
        rows: TaxExemptionRule[];
    }>;
    create(createArgs: TaxExemptionRuleCreateAttributes): Promise<TaxExemptionRule>;
    get(id: string | number): Promise<TaxExemptionRule>;
    update(id: string | number, updateArgs: TaxExemptionRuleUpdateAttributes): Promise<TaxExemptionRule>;
    del(id: string | number): Promise<void>;
    destroy(id: string | number): Promise<void>;
}
