import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
export interface TaxableProductCategory {
    id: number;
    createdAt: Date;
    updatedAt: Date;
    name: string | null;
}
export interface TaxableProductCategoryListAttributes extends YLIFTListAttributes {
    name?: string | null;
}
export interface TaxableProductCategoryCreateAttributes extends YLIFTCreateAttributes {
    name?: string | null;
}
export interface TaxableProductCategoryUpdateAttributes extends YLIFTUpdateAttributes {
    name?: string | null;
}
export declare class TaxableProductCategoryResource extends Resource<TaxableProductCategory, TaxableProductCategoryListAttributes, TaxableProductCategoryCreateAttributes, TaxableProductCategoryUpdateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: TaxableProductCategoryListAttributes): Promise<{
        count: number;
        rows: TaxableProductCategory[];
    }>;
    create(createArgs: TaxableProductCategoryCreateAttributes): Promise<TaxableProductCategory>;
    get(id: string | number): Promise<TaxableProductCategory>;
    update(id: string | number, updateArgs: TaxableProductCategoryUpdateAttributes): Promise<TaxableProductCategory>;
    del(id: string | number): Promise<void>;
    destroy(id: string | number): Promise<void>;
}
