import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
export interface TrainingAnswer {
    id: number;
    createdAt: Date;
    updatedAt: Date;
    trainingQuestionId: string;
    profileId: number;
    text: string;
}
export interface TrainingAnswerListAttributes extends YLIFTListAttributes {
    trainingQuestionId?: string;
    profileId?: number;
}
export interface TrainingAnswerCreateAttributes extends YLIFTCreateAttributes {
    trainingQuestionId: string;
    text: string;
}
export interface TrainingAnswerUpdateAttributes extends YLIFTUpdateAttributes {
    text: string;
}
export declare class TrainingAnswerResource extends Resource<TrainingAnswer, TrainingAnswerListAttributes, TrainingAnswerCreateAttributes, TrainingAnswerUpdateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: TrainingAnswerListAttributes): Promise<{
        count: number;
        rows: TrainingAnswer[];
    }>;
    create(createArgs: TrainingAnswerCreateAttributes): Promise<TrainingAnswer>;
    get(id: string | number): Promise<TrainingAnswer>;
    update(id: string | number, updateArgs: TrainingAnswerUpdateAttributes): Promise<TrainingAnswer>;
    del(id: string | number): Promise<void>;
    destroy(id: string | number): Promise<void>;
}
