import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
export interface TrainingCompletion {
    id: number;
    createdAt: Date;
    updatedAt: Date;
    trainingId: string;
    profileId: number;
}
export interface TrainingCompletionListAttributes extends YLIFTListAttributes {
    trainingId?: string;
    profileId?: number;
}
export interface TrainingCompletionCreateAttributes extends YLIFTCreateAttributes {
    trainingId: string;
    profileId?: number;
}
export interface TrainingCompletionUpdateAttributes extends YLIFTUpdateAttributes {
}
export declare class TrainingCompletionResource extends Resource<TrainingCompletion, TrainingCompletionListAttributes, TrainingCompletionCreateAttributes, TrainingCompletionUpdateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: TrainingCompletionListAttributes): Promise<{
        count: number;
        rows: TrainingCompletion[];
    }>;
    create(createArgs: TrainingCompletionCreateAttributes): Promise<TrainingCompletion>;
    get(id: string | number): Promise<TrainingCompletion>;
    update(id: string | number, updateArgs: TrainingCompletionUpdateAttributes): Promise<TrainingCompletion>;
    del(id: string | number): Promise<void>;
    destroy(id: string | number): Promise<void>;
}
