import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
export interface TrainingDiscount {
    id: number;
    trainingId: string;
    amount: number;
    dateFrom: Date;
    dateTo: Date;
}
export interface TrainingDiscountListAttributes extends YLIFTListAttributes {
    trainingId?: string;
    showInactive?: boolean;
}
export interface TrainingDiscountCreateAttributes extends YLIFTCreateAttributes {
    trainingsId: string[];
    amount?: number | null;
    dateFrom: Date;
    dateTo: Date;
}
export declare class TrainingDiscountsResource extends Resource<TrainingDiscount, TrainingDiscountListAttributes, TrainingDiscountCreateAttributes, TrainingDiscountCreateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: TrainingDiscountListAttributes): Promise<TrainingDiscount[]>;
    create(createArgs: TrainingDiscountCreateAttributes): Promise<TrainingDiscount[]>;
    update(createArgs: TrainingDiscountCreateAttributes): Promise<TrainingDiscount[]>;
}
