import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
export interface TrainingLocation {
    id: number;
    createdAt: Date;
    updatedAt: Date;
    name: string;
    isActive: boolean;
}
export interface TrainingLocationListAttributes extends YLIFTListAttributes {
}
export interface TrainingLocationCreateAttributes extends YLIFTCreateAttributes {
    name: string;
    isActive?: boolean;
}
export interface TrainingLocationUpdateAttributes extends YLIFTUpdateAttributes {
    name?: string;
    isActive?: boolean;
}
export declare class TrainingLocationResource extends Resource<TrainingLocation, TrainingLocationListAttributes, TrainingLocationCreateAttributes, TrainingLocationUpdateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: TrainingLocationListAttributes): Promise<{
        count: number;
        rows: TrainingLocation[];
    }>;
    create(createArgs: TrainingLocationCreateAttributes): Promise<TrainingLocation>;
    get(id: string | number): Promise<TrainingLocation>;
    update(id: string | number, updateArgs: TrainingLocationUpdateAttributes): Promise<TrainingLocation>;
    del(id: string | number): Promise<void>;
    destroy(id: string | number): Promise<void>;
}
