import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
export interface TrainingMaterial {
    id: number;
    createdAt: Date;
    updatedAt: Date;
    trainingId: string;
    title: string;
    contentUrl: string;
    contentType: string;
    size: number;
    trainingModuleId: string;
}
export interface TrainingMaterialListAttributes extends YLIFTListAttributes {
    trainingId?: string;
    trainingModuleId?: string;
}
export interface TrainingMaterialCreateAttributes extends YLIFTCreateAttributes {
    trainingId: string;
    title?: string;
    contentUrl: string;
    contentType: string;
    size?: number;
    trainingModuleId?: string;
}
export interface TrainingMaterialUpdateAttributes extends YLIFTUpdateAttributes {
    trainingId?: string;
    title?: string;
    contentUrl?: string;
    contentType?: string;
    size?: number;
    trainingModuleId?: string;
}
export declare class TrainingMaterialResource extends Resource<TrainingMaterial, TrainingMaterialListAttributes, TrainingMaterialCreateAttributes, TrainingMaterialUpdateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: TrainingMaterialListAttributes): Promise<{
        count: number;
        rows: TrainingMaterial[];
    }>;
    create(createArgs: TrainingMaterialCreateAttributes): Promise<TrainingMaterial>;
    get(id: string | number): Promise<TrainingMaterial>;
    update(id: string | number, updateArgs: TrainingMaterialUpdateAttributes): Promise<TrainingMaterial>;
    del(id: string | number): Promise<void>;
    destroy(id: string | number): Promise<void>;
}
