import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
export interface TrainingModule {
    id: string;
    trainingId?: string;
    title?: string;
    order?: number;
}
export interface TrainingModuleListAttributes extends YLIFTListAttributes {
    trainingId?: string;
}
export interface TrainingModuleCreateAttributes extends YLIFTCreateAttributes {
    trainingId: string;
    title: string;
    order: number;
}
export interface TrainingModuleUpdateAttributes extends YLIFTUpdateAttributes {
    title?: string;
    order?: number;
}
export interface TrainingModuleReorderAttributes {
    trainingId: string;
    trainingModules: TrainingModule[];
}
export declare class TrainingModuleResource extends Resource<TrainingModule, TrainingModuleListAttributes, TrainingModuleCreateAttributes, TrainingModuleUpdateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: TrainingModuleListAttributes): Promise<TrainingModule[]>;
    create(createArgs: TrainingModuleCreateAttributes): Promise<TrainingModule>;
    get(id: string): Promise<TrainingModule>;
    update(id: string, updateArgs: TrainingModuleUpdateAttributes): Promise<TrainingModule>;
    reorder(reorderArgs: TrainingModuleReorderAttributes): Promise<TrainingModule[]>;
    del(id: string): Promise<void>;
    destroy(id: string): Promise<void>;
}
