import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
export interface TrainingQuestion {
    id: number;
    createdAt: Date;
    updatedAt: Date;
    trainingId: string;
    profileId: number;
    text: string;
}
export interface TrainingQuestionListAttributes extends YLIFTListAttributes {
    trainingId?: string;
    profileId?: number;
}
export interface TrainingQuestionCreateAttributes extends YLIFTCreateAttributes {
    trainingId: string;
    text: string;
}
export interface TrainingQuestionUpdateAttributes extends YLIFTUpdateAttributes {
    text: string;
}
export declare class TrainingQuestionResource extends Resource<TrainingQuestion, TrainingQuestionListAttributes, TrainingQuestionCreateAttributes, TrainingQuestionUpdateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: TrainingQuestionListAttributes): Promise<{
        count: number;
        rows: TrainingQuestion[];
    }>;
    create(createArgs: TrainingQuestionCreateAttributes): Promise<TrainingQuestion>;
    get(id: string | number): Promise<TrainingQuestion>;
    update(id: string | number, updateArgs: TrainingQuestionUpdateAttributes): Promise<TrainingQuestion>;
    del(id: string | number): Promise<void>;
    destroy(id: string | number): Promise<void>;
}
