import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
export interface TrainingQuiz {
    id: number;
    trainingId: string;
    title: string;
    questions: string;
    trainingModuleId: string;
}
export interface TrainingQuizListAttributes extends YLIFTListAttributes {
    trainingId?: string;
    trainingModuleId?: string;
}
export interface TrainingQuizCompleteListAttributes extends YLIFTListAttributes {
    trainingQuizId?: string;
    profileId?: string;
    trainingModuleId?: string;
}
export interface TrainingQuizCreateAttributes extends YLIFTCreateAttributes {
    trainingId: string;
    title?: string;
    questions?: string;
    trainingModuleId?: string;
}
export interface TrainingQuizUpdateAttributes extends YLIFTUpdateAttributes {
    trainingId?: string;
    title?: string;
    questions?: string;
    trainingModuleId?: string;
}
export declare class TrainingQuizResource extends Resource<TrainingQuiz, TrainingQuizListAttributes, TrainingQuizCreateAttributes, TrainingQuizUpdateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: TrainingQuizListAttributes): Promise<{
        count: number;
        rows: TrainingQuiz[];
    }>;
    create(createArgs: TrainingQuizCreateAttributes): Promise<TrainingQuiz>;
    get(id: string | number): Promise<TrainingQuiz>;
    update(id: string | number, updateArgs: TrainingQuizUpdateAttributes): Promise<TrainingQuiz>;
    del(id: string | number): Promise<void>;
    destroy(id: string | number): Promise<void>;
    trackCompletion(id: string): Promise<void>;
    getCompletions(listArgs: TrainingQuizCompleteListAttributes): Promise<void>;
}
