import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
import { Vendor } from "./Vendor";
export interface VendorContact {
    id: number;
    createdAt: Date;
    updatedAt: Date;
    name: string | null;
    vendorId: number;
    vendor?: Vendor;
    phone: string | null;
    email: string | null;
    isMaster: boolean | null;
}
export interface VendorContactListAttributes extends YLIFTListAttributes {
    name?: string | null;
    vendorId?: number;
    phone?: string | null;
    email?: string | null;
    isMaster?: boolean | null;
}
export interface VendorContactCreateAttributes extends YLIFTCreateAttributes {
    name?: string | null;
    vendorId: number;
    phone?: string | null;
    email?: string | null;
    isMaster?: boolean | null;
}
export interface VendorContactUpdateAttributes extends YLIFTUpdateAttributes {
    name?: string | null;
    vendorId?: number;
    phone?: string | null;
    email?: string | null;
    isMaster?: boolean | null;
}
export declare class VendorContactResource extends Resource<VendorContact, VendorContactListAttributes, VendorContactCreateAttributes, VendorContactUpdateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: VendorContactListAttributes): Promise<{
        count: number;
        rows: VendorContact[];
    }>;
    create(createArgs: VendorContactCreateAttributes): Promise<VendorContact>;
    get(id: string | number): Promise<VendorContact>;
    update(id: string | number, updateArgs: VendorContactUpdateAttributes): Promise<VendorContact>;
    del(id: string | number): Promise<void>;
    destroy(id: string | number): Promise<void>;
}
