import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
import { Vendor } from "./Vendor";
export interface VendorOrderRule {
    id: number;
    createdAt: Date;
    updatedAt: Date;
    minOrderAmount: number;
    vendorId: number;
    vendor?: Vendor;
}
export interface VendorOrderRuleListAttributes extends YLIFTListAttributes {
    vendorId?: number;
}
export interface VendorOrderRuleCreateAttributes extends YLIFTCreateAttributes {
    name?: string | null;
    vendorId: number;
    phone?: string | null;
    email?: string | null;
    isMaster?: boolean | null;
}
export interface VendorOrderRuleUpdateAttributes extends YLIFTUpdateAttributes {
    vendorId: number;
    minOrderAmount?: number;
}
export declare class VendorOrderRuleResource extends Resource<VendorOrderRule, VendorOrderRuleListAttributes, VendorOrderRuleCreateAttributes, VendorOrderRuleUpdateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: VendorOrderRuleListAttributes): Promise<{
        count: number;
        rows: VendorOrderRule[];
    }>;
    create(createArgs: VendorOrderRuleCreateAttributes): Promise<VendorOrderRule>;
    get(id: string | number): Promise<VendorOrderRule>;
    update(id: string | number, updateArgs: VendorOrderRuleUpdateAttributes): Promise<VendorOrderRule>;
    del(id: string | number): Promise<void>;
    destroy(id: string | number): Promise<void>;
}
