import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
import { Vendor } from "./Vendor";
export interface VendorShippingSetting {
    vendorId: number;
    vendor?: Vendor;
    createdAt: Date;
    updatedAt: Date;
    flatRate: boolean;
    groupSize: number | null;
    expressRate: number | null;
    overnightRate: number | null;
    regularRate: number | null;
}
export interface VendorShippingSettingListAttributes extends YLIFTListAttributes {
    vendorId?: number;
}
export interface VendorShippingSettingCreateAttributes extends YLIFTCreateAttributes {
    vendorId: number;
    flatRate?: boolean;
    groupSize?: number | null;
    expressRate?: number | null;
    overnightRate?: number | null;
    regularRate?: number | null;
}
export interface VendorShippingSettingUpdateAttributes {
    vendorId: number;
    flatRate?: boolean;
    groupSize?: number | null;
    expressRate?: number | null;
    overnightRate?: number | null;
    regularRate?: number | null;
}
export declare class VendorShippingSettingResource extends Resource<VendorShippingSetting, VendorShippingSettingListAttributes, VendorShippingSettingCreateAttributes, VendorShippingSettingUpdateAttributes> {
    constructor(requestManager: RequestManager);
    list(listArgs: VendorShippingSettingListAttributes): Promise<{
        count: number;
        rows: VendorShippingSetting[];
    }>;
    create(createArgs: VendorShippingSettingCreateAttributes): Promise<VendorShippingSetting>;
    get(id: string | number): Promise<VendorShippingSetting>;
    update(id: string | number, updateArgs: VendorShippingSettingUpdateAttributes): Promise<VendorShippingSetting>;
    del(id: string | number): Promise<void>;
    destroy(id: string | number): Promise<void>;
}
