"use strict";
exports.__esModule = true;
var lodash_1 = require("lodash");
var joi = require("joi");
var ClientError_1 = require("./ClientError");
var RequestManager_1 = require("../RequestManager");
exports.Schema = {
    clientId: joi.string().required(),
    clientSecret: joi.string(),
    redirectUri: joi.string().uri(),
    baseApiUrl: joi.string().uri(),
    baseAuthUrl: joi.string().uri(),
    request: joi.object()
};
function Factory(config) {
    var validation = joi.validate(config, exports.Schema);
    if (validation.error)
        throw new ClientError_1.ClientError(validation.error.annotate());
    return lodash_1.defaultsDeep(config, {
        baseApiUrl: 'https://api.ylift.com/v1',
        baseAuthUrl: 'https://accounts.ylift.com',
        request: RequestManager_1.defaultAxiosConfig
    });
}
exports.Factory = Factory;
//# sourceMappingURL=ClientConfigFactory.js.map