import * as Promise from 'bluebird';
import { RequestOptions, RequestManager } from '../RequestManager';
export interface YLIFTListAttributes {
    limit?: number;
    offset?: number;
}
export interface YLIFTCreateAttributes {
}
export interface YLIFTUpdateAttributes {
}
export declare abstract class Resource<T, L extends YLIFTListAttributes, C extends YLIFTCreateAttributes, U extends YLIFTUpdateAttributes> {
    protected basePath: string;
    protected requestManager: RequestManager;
    constructor(basePath: string, requestManager: RequestManager);
    makeRequest(options: RequestOptions): any;
    protected _get(id: string | number): Promise<T>;
    protected _list(listArgs: L): Promise<{
        count: number;
        rows: T[];
    }>;
    protected _update(id: string | number, updateArgs: U): Promise<T>;
    protected _create(createArgs: C): Promise<T>;
    protected _destroy(id: string | number): Promise<void>;
}
