"use strict";
exports.__esModule = true;
var Resource = (function () {
    function Resource(basePath, requestManager) {
        this.basePath = basePath;
        this.requestManager = requestManager;
    }
    Resource.prototype.makeRequest = function (options) {
        return this.requestManager.makeRequest(options);
    };
    Resource.prototype._get = function (id) {
        return this.makeRequest({
            method: 'GET',
            params: { id: id },
            url: this.basePath + "/{id}"
        });
    };
    Resource.prototype._list = function (listArgs) {
        return this.makeRequest({
            method: 'GET',
            params: listArgs,
            url: "" + this.basePath
        });
    };
    Resource.prototype._update = function (id, updateArgs) {
        return this.makeRequest({
            method: 'PUT',
            data: updateArgs,
            params: { id: id },
            url: this.basePath + "/{id}"
        });
    };
    Resource.prototype._create = function (createArgs) {
        return this.makeRequest({
            method: 'POST',
            data: createArgs,
            url: "" + this.basePath
        });
    };
    Resource.prototype._destroy = function (id) {
        return this.makeRequest({
            method: 'DELETE',
            params: { id: id },
            url: this.basePath + "/{id}"
        });
    };
    return Resource;
}());
exports.Resource = Resource;
//# sourceMappingURL=Resource.js.map