import * as Promise from 'bluebird';

import {
    YLIFTCreateAttributes,
    YLIFTListAttributes,
    YLIFTUpdateAttributes,
    Resource
} from '../utils/Resource';
import {RequestManager} from '../RequestManager';

export interface ShippingEstimateAttributes {
    orderAddressId: number
}

export class ShippingResource extends Resource<{}, YLIFTListAttributes, YLIFTCreateAttributes, YLIFTUpdateAttributes> {
    constructor(requestManager: RequestManager) {
        super('/shipping', requestManager);
    }

    public estimate(createArgs: ShippingEstimateAttributes): Promise<{}> {
        return this.makeRequest({
            method: 'POST',
            data: createArgs,
            url: `${this.basePath}/estimate`
        })
    }

}
